Name:          junit-contracts
Version:       0.1.5
Release:       1%{?dist}
Summary:       Xenei JUnit Contract Test Suite 
License:       ASL 2.0
URL:           https://github.com/Claudenw/junit-contracts
Source0:       https://github.com/Claudenw/junit-contracts/archive/contracts-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.maven:maven-compat)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
#BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.xenei.logging:junit-recording-logger)

BuildArch:     noarch

%description
Code to create test suites that run suites of contract tests based on 
class hierarchy.

%package -n contracts-cmdline
Summary:       Xenei Contract Tests - Command Line Tool

%description -n contracts-cmdline
The command line tools for the junit suite.

%package -n contract-test-maven-plugin
Summary:       Xenei Contract Tests - Maven Plugin

%description -n contract-test-maven-plugin
Maven plugin to run contract test reporting.

%package parent
Summary:       Xenei Contract Tests - Parent POM

%description parent
Xenei Contract Tests - Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-contracts-%{version}
# Cleanup
find . -name "*.class" -print -delete
# Do not delete test resources
find . -name "*.jar" -print ! -name "classes.jar" ! -name "javadoc.jar" ! -name "sources.jar" -print -delete


%pom_remove_plugin -r :maven-gpg-plugin
%pom_remove_plugin -r :maven-repository-plugin
%pom_remove_plugin -r :maven-site-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :nexus-staging-maven-plugin
%pom_xpath_remove -r "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%pom_change_dep -r org.apache.directory.studio:org.apache.logging.log4j log4j:log4j:1.2.17

%pom_remove_plugin -r :maven-invoker-plugin

%mvn_file :%{name} %{name}
%mvn_file :contract-test-maven-plugin contract-test-maven-plugin
%mvn_file :contracts-cmdLine contracts-cmdLine

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc junit/README.md
%license junit/LICENSE

%files -n contracts-cmdline -f .mfiles-contracts-cmdLine
%doc cmdLine/README.md

%files -n contract-test-maven-plugin -f .mfiles-contract-test-maven-plugin
%doc maven/README.md
%license maven/LICENSE

%files parent -f .mfiles-contracts
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sun Aug 23 2015 gil cattaneo <puntogil@libero.it> 0.1.5-1
- update to 0.1.5

* Sat Apr 11 2015 gil cattaneo <puntogil@libero.it> 0.0.5-1
- initial rpm
